MINTPY-SUBSET(1)

NAME
mintpy-subset - Generate a subset from file/dataset

DESCRIPTION
usage: subset.py [-h] [-x SUBSET_X SUBSET_X] [-y SUBSET_Y SUBSET_Y]

    [-l SUBSET_LAT SUBSET_LAT] [-L SUBSET_LON SUBSET_LON] [-t TEMPLATE_FILE] [-r REFERENCE] [--tight] [--outfill FILL_VALUE] [--no-parallel] [-o OUTFILE] [--lookup LOOKUP_FILE] file [file ...]

Generate a subset from file/dataset

  positional arguments:

file
    File(s) to subset/crop

  options:

-h, --help
    show this help message and exit

-x SUBSET_X SUBSET_X, --sub-x SUBSET_X SUBSET_X, --subset-x SUBSET_X SUBSET_X
    subset range in x/cross-track/column direction

-y SUBSET_Y SUBSET_Y, --sub-y SUBSET_Y SUBSET_Y, --subset-y SUBSET_Y SUBSET_Y
    subset range in y/along-track/row direction

-l SUBSET_LAT SUBSET_LAT, --lat SUBSET_LAT SUBSET_LAT, --sub-lat SUBSET_LAT SUBSET_LAT, --subset-lat SUBSET_LAT SUBSET_LAT
    subset range in latitude

-L SUBSET_LON SUBSET_LON, --lon SUBSET_LON SUBSET_LON, --sub-lon SUBSET_LON SUBSET_LON, --subset-lon SUBSET_LON SUBSET_LON
    subset range in column

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template file with subset setting. i.e. mintpy.subset.yx = 300:800,1000:3500 mintpy.subset.lalo = 30.2:30.5,130.1:131.3

-r REFERENCE, --reference REFERENCE
    reference file, subset to the same lalo as reference file

--tight
    subset geomap_*.trans file based on non-zero values. For geocoded file(s) onlyA convenient way to get rid of extra wide space due to "too large" DEM.

--outfill FILL_VALUE
    fill subset area out of data coverage with input value. i.e. np.nan, 0, 1000, ... By default, it's None for no-outfill.

--no-parallel
    Disable parallel processing. Disabled auto for 1 input file.

-o OUTFILE, --output OUTFILE
    output file name add prefix "sub_" if input/output files are in the same directory; same filename otherwise.

  Datasets:

    Create a subset of entire dataset in radar using y/x or lat/lon option Including *.trans and *.dem in geo coord.

--lookup LOOKUP_FILE
    calculate bounding box in geo/radar coord from input radar/geo subset range using transformation file, i.e. geomap_4rlks.trans All input radar coord file should be same size/coverage; same for all geo coord files.

template ## if both yx and lalo are specified, use lalo option unless a) no lookup file AND b) dataset is in radar coord mintpy.subset.yx = auto #[1800:2000,700:800 / no], auto for no mintpy.subset.lalo = auto #[31.5:32.5,130.5:131.0 / no], auto for no

  example:

subset.py inputs/ifgramStack.h5 -y 400
    1500 -x 200 600

subset.py geo_velocity.h5
    -l 30.5 30.8 -L 130.3 130.9

subset.py 030405_090801.unw
    -t SinabungT495F50AlosA.template

    # subset to the same coverage as the reference file subset.py geo_incidence.h5 -r subset_geo_velocity.h5

    # multiple files input subset.py *velocity*.h5 timeseries*.h5 -y 400 1500 -x 200 600

    # crop to larger area with custom fill value subset.py geo_velocity.h5 -l 32.2 33.5 --outfill-nan subset.py Mask.h5 -x 500 3500 --outfill 0

    # "tight" subset for geocoded lookup table larger than data file subset.py geomap_4rlks.trans --tight